Edit

Items - Update Snowflake Database Definition

Overrides the definition for the specified Snowflake Database.
This API supports long running operations (LRO).

Permissions

The caller must have read and write permissions for the snowflake database.

Required Delegated Scopes

Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/snowflakeDatabases/{snowflakeDatabaseId}/updateDefinition

URI Parameters

Name In Required Type Description
snowflakeDatabaseId
path True

string (uuid)

The Snowflake Database ID.

workspaceId
path True

string (uuid)

The workspace ID.

Request Body

Name Required Type Description
definition True

SnowflakeDatabaseDefinition

Snowflake Database public definition object. Refer to this article for more details on the structure of the Snowflake Database definition.

Responses

Name Type Description
200 OK

Request completed successfully.

202 Accepted

Request accepted. Update definition is in progress.

Headers

  • Location: string
  • x-ms-operation-id: string
  • Retry-After: integer
429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • OperationNotSupportedForItem - Operation not supported for requested item.

  • CorruptedPayload - The provided payload is corrupted.

Examples

Update Snowflake Database definition example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/snowflakeDatabases/123e4567-e89b-12d3-a456-426614174001/updateDefinition

{
  "definition": {
    "parts": [
      {
        "path": "SnowflakeDatabaseProperties.json",
        "payload": "eyJzbm93Zmxha2VEYXRhYmFzZU5hbWUiOiAiRXhhbXBsZURhdGFiYXNlIiwgImNvbm5lY3Rpb25JZCI6ICI0NTZlNzg5MC1lODliLTEyZDMtYTQ1Ni00MjY2MTQxNzQwMDIifQ==",
        "payloadType": "InlineBase64"
      }
    ]
  }
}

Sample response

Location: https://api.fabric.microsoft.com/v1/operations/427f6c34-b64e-4ee4-8ea5-b533c0e203ef
x-ms-operation-id: 427f6c34-b64e-4ee4-8ea5-b533c0e203ef
Retry-After: 30

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

PayloadType

The type of the definition part payload. Additional payload types may be added over time.

SnowflakeDatabaseDefinition

Snowflake Database public definition object. Refer to this article for more details on the structure of the Snowflake Database definition.

SnowflakeDatabaseDefinitionPart

Snowflake Database definition part object.

UpdateSnowflakeDatabaseDefinitionRequest

Update Snowflake Database public definition request payload.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

PayloadType

The type of the definition part payload. Additional payload types may be added over time.

Value Description
InlineBase64

Inline Base 64.

SnowflakeDatabaseDefinition

Snowflake Database public definition object. Refer to this article for more details on the structure of the Snowflake Database definition.

Name Type Description
format

string

The format of the snowflake database definition.

parts

SnowflakeDatabaseDefinitionPart[]

A list of definition parts.

SnowflakeDatabaseDefinitionPart

Snowflake Database definition part object.

Name Type Description
path

string

The Snowflake Database part path.

payload

string

The Snowflake Database part payload.

payloadType

PayloadType

The payload type.

UpdateSnowflakeDatabaseDefinitionRequest

Update Snowflake Database public definition request payload.

Name Type Description
definition

SnowflakeDatabaseDefinition

Snowflake Database public definition object. Refer to this article for more details on the structure of the Snowflake Database definition.